This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 983204 (CVE-2013-2877)

Summary: CVE-2013-2877 libxml2: Out-of-bounds read via a document that ends abruptly
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: c.david86, huzaifas, jrusnack, mcermak, ohudlick, sardella, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130709,reported=20130710,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/libxml2=wontfix,rhel-6/libxml2=affected,rhel-6/mingw32-libxml2=wontfix,fedora-all/libxml2=affected,cwe=CWE-125
Fixed In Version: libxml 2.9.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-01 03:39:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 983206, 1093090, 1093091    
Bug Blocks: 983207    

Description Jan Lieskovsky 2013-07-10 13:19:40 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-2877 to the following vulnerability:

parser.c in libxml2 before 2.9.0, as used in Google Chrome before 28.0.1500.71 and other products, allows remote attackers to cause a denial of service (out-of-bounds read) via a document that ends abruptly, related to the lack of certain checks for the XML_PARSER_EOF state.

References:
[1] ftp://xmlsoft.org/libxml2/libxml2-2.9.0.tar.gz
[2] http://git.chromium.org/gitweb/?p=chromium/chromium.git;a=commit;h=e5d7f7e5dc21d3ae7be3cbb949ac4d8701e06de1
[3] http://googlechromereleases.blogspot.com/2013/07/stable-channel-update.html
[4] https://code.google.com/p/chromium/issues/detail?id=229019

Relevant upstream patch:
[5] https://git.gnome.org/browse/libxml2/commit/parser.c?id=e50ba8164eee06461c73cd8abb9b46aa0be81869
Comment 1 Jan Lieskovsky 2013-07-10 13:23:06 EDT
This issue affects the versions of the libxml2 package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of the libxml2 package, as shipped with Fedora release of 17. Please schedule an update.

--

This issue did NOT affect the versions of the libxml2 package, as shipped with Fedora release of 18 and 19 (the libxml2 package versions got already update wrt to this flaw).
Comment 2 Jan Lieskovsky 2013-07-10 13:23:39 EDT
Created libxml2 tracking bugs for this issue:

Affects: fedora-17 [bug 983206]
Comment 3 Huzaifa S. Sidhpurwala 2013-07-12 00:04:21 EDT
Statement:

(none)
Comment 8 errata-xmlrpc 2014-05-19 07:13:29 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0513 https://rhn.redhat.com/errata/RHSA-2014-0513.html